| Home | Libraries | People | FAQ | More

##### basic_datagram_socket::basic_datagram_socket (6 of 6 overloads)

Move-construct a `basic_datagram_socket` from a socket of another protocol type.

    template<
        typename Protocol1,
        typename DatagramSocketService1>
    basic_datagram_socket(
        basic_datagram_socket< Protocol1, DatagramSocketService1 > && other,
        typename enable_if< is_convertible< Protocol1, Protocol >::value >::type *  = 0);

This constructor moves a datagram socket from one object to another.

###### Parameters

other

  The other `basic_datagram_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_datagram_socket(io_service&) constructor`.